> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Question Custom Field

> A `POST` to the `/questions/{question}/custom-fields` endpoint allows your application to create question custom field.



## OpenAPI

````yaml post /v3/questions/{question}/custom-fields
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/questions/{question}/custom-fields:
    post:
      tags:
        - Question Custom Field
      summary: Add Question Custom Field
      description: >-
        A `POST` to the `/questions/{question}/custom-fields` endpoint allows
        your application to create question custom field.
      operationId: questions.custom-fields.store
      parameters:
        - name: question
          in: path
          required: true
          description: The question ID
          schema:
            type: integer
      responses:
        '200':
          description: '`CustomField`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/CustomField'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  schemas:
    CustomField:
      type: object
      properties:
        name:
          type:
            - string
            - 'null'
        handle:
          type: string
        namespace:
          type: string
        value:
          type: string
        type:
          type: string
        custom_fieldable_type:
          type: string
        custom_fieldable:
          anyOf:
            - type: 'null'
            - $ref: '#/components/schemas/TransactionBasic'
            - type: object
              properties:
                id:
                  type: integer
                address_line_1:
                  type: string
                address_line_2:
                  type: string
                address_line_3:
                  type: string
                city:
                  type: string
                postcode:
                  type: string
                state:
                  type: string
                country:
                  type: string
                phone:
                  type: string
                external_id:
                  type: string
                iso:
                  type: string
                iso_state:
                  type: string
                profile_id:
                  type: string
              required:
                - id
                - address_line_1
                - address_line_2
                - address_line_3
                - city
                - postcode
                - state
                - country
                - phone
                - external_id
                - iso
                - iso_state
                - profile_id
        created_at:
          type: string
        updated_at:
          type: string
        is_index:
          type:
            - integer
            - 'null'
      required:
        - name
        - handle
        - namespace
        - value
        - type
        - custom_fieldable_type
        - custom_fieldable
        - created_at
        - updated_at
        - is_index
      title: CustomField
    TransactionBasic:
      type: object
      properties:
        id:
          type: string
        external_id:
          type: string
        profile_id:
          type: string
        meta:
          type: string
        total:
          type: string
        total_original:
          type: string
        rounding:
          type: string
        margin:
          type: string
        is_void:
          type: string
        transacted_at:
          type: string
        timezone:
          type: string
        payments:
          type: string
        receipt_is_email:
          type: string
        receipt_ref:
          type: string
        linked_receipt_ref:
          type: string
        claimed_at:
          type: string
        receipt_email:
          type: string
        currency_id:
          type: string
        currency_rate:
          type: string
        currency:
          type: string
        type:
          type: string
        status:
          type: string
        order_number:
          type: string
        order_id:
          type: string
        external_order_id:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - external_id
        - profile_id
        - meta
        - total
        - total_original
        - rounding
        - margin
        - is_void
        - transacted_at
        - timezone
        - payments
        - receipt_is_email
        - receipt_ref
        - linked_receipt_ref
        - claimed_at
        - receipt_email
        - currency_id
        - currency_rate
        - currency
        - type
        - status
        - order_number
        - order_id
        - external_order_id
        - created_at
        - updated_at
      title: TransactionBasic
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message

````